﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
 *
 * Product Domain
 *
-->

<xsd:schema
	elementFormDefault="qualified"
	targetNamespace="https://qa.devgcm-system.com/custom/XMLSchema/product"
	xmlns:datatypes-v0="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
	xmlns:cbe-v0="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
	xmlns:party-v0="https://qa.devgcm-system.com/custom/XMLSchema/party"
	xmlns:location-v0="https://qa.devgcm-system.com/custom/XMLSchema/location"
	xmlns:product-v0="https://qa.devgcm-system.com/custom/XMLSchema/product"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!-- Imports -->
	<!--
	-->
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CBEDatatypes/CBEDatatypes-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CBEDomain/CBE-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/party"
			schemaLocation="file:///var/www/html/custom/XMLSchema/PartyDomain/Party-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/location"
			schemaLocation="file:///var/www/html/custom/XMLSchema/LocationDomain/Location-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/product/characteristics"
			schemaLocation="file:///var/www/html/custom/XMLSchema/ProductDomain/Characteristics/ProductCharacteristics-v0_1.xsd"/>
	<!--
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
			schemaLocation="platform:/resource/NttComGCM2/xml/CBEDatatypes/CBEDatatypes-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
			schemaLocation="platform:/resource/NttComGCM2/xml/CBEDomain/CBE-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/party"
			schemaLocation="platform:/resource/NttComGCM2/xml/PartyDomain/Party-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/location"
			schemaLocation="platform:/resource/NttComGCM2/xml/LocationDomain/Location-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/product/characteristics"
			schemaLocation="platform:/resource/NttComGCM2/xml/ProductDomain/Characteristics/ProductCharacteristics-v0_1.xsd"/>
	-->

	<!--
	 *
	 *==========================================================================
	 * ■ProductSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■productSpecification (Element) to be substituted -->
	<xsd:element name="productSpecification" type="product-v0:ProductSpecification" abstract="true"
			substitutionGroup="cbe-v0:entitySpecification"/>

	<!-- ■ProductSpecification -->
	<xsd:complexType name="ProductSpecification" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecification">
				<xsd:sequence>
					<xsd:element name="productNumber" type="xsd:string" minOccurs="0"/>
					<xsd:element name="brand" type="xsd:string" minOccurs="0"/>
					<xsd:element name="costedAt" type="product-v0:ArrayOfProdExpectedCostKey" minOccurs="0"/>
					<xsd:element name="valuedBy" type="product-v0:ArrayOfProdOfferingPriceKey" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductSpecKey -->
	<xsd:complexType name="ProductSpecKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productSpecKey (Element) to be substituted -->
	<xsd:element name="productSpecKey" type="product-v0:ProductSpecKey" abstract="true"
			substitutionGroup="cbe-v0:baseEntitySpecKey"/>

	<!-- ■referenceToProductSpec (Element) substitution element -->
	<xsd:element name="referenceToProductSpec" type="product-v0:ProductSpecKey" abstract="true"
			substitutionGroup="cbe-v0:baseReferenceToEntitySpec"/>

	<!-- ■prodSpecAdminState (Element) -->
	<xsd:element name="prodSpecAdminState" type="product-v0:ProdSpecAdminState"
		substitutionGroup="cbe-v0:baseAdminState" />

	<!-- ■ProdSpecAdminState (Datatype) -->
	<xsd:simpleType name="ProdSpecAdminState">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="created" />
			<xsd:enumeration value="inprogress" />
			<xsd:enumeration value="pending" />
			<xsd:enumeration value="cancelled" />
			<xsd:enumeration value="published" />
			<xsd:enumeration value="unavailable" />
		</xsd:restriction>
	</xsd:simpleType>

	<!-- ■atomicProductSpecification (Element) substitution element -->
	<xsd:element name="atomicProductSpecification" type="product-v0:AtomicProductSpecification"
			substitutionGroup="product-v0:productSpecification"/>

	<!-- ■AtomicProductSpecification -->
	<xsd:complexType name="AtomicProductSpecification">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■AtomicProductSpecKey -->
	<xsd:complexType name="AtomicProductSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■atomicProductSpecKey (Element) substitution element -->
	<xsd:element name="atomicProductSpecKey" type="product-v0:AtomicProductSpecKey"
			substitutionGroup="product-v0:productSpecKey"/>

	<!-- ■referenceToAtomicProductSpec (Element) substitution element -->
	<xsd:element name="referenceToAtomicProductSpec" type="product-v0:AtomicProductSpecKey"
			substitutionGroup="product-v0:referenceToProductSpec"/>

	<!-- ■compositeProductSpecification (Element) substitution element -->
	<xsd:element name="compositeProductSpecification" type="product-v0:CompositeProductSpecification"
			substitutionGroup="product-v0:productSpecification"/>

	<!-- ■CompositeProductSpecification -->
	<xsd:complexType name="CompositeProductSpecification">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductSpecification">
				<xsd:sequence>
					<xsd:element name="comprisedOf" type="product-v0:ArrayOfProductSpecification"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CompositeProductSpecKey -->
	<xsd:complexType name="CompositeProductSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■compositeProductSpecKey (Element) substitution element -->
	<xsd:element name="compositeProductSpecKey" type="product-v0:CompositeProductSpecKey"
			substitutionGroup="product-v0:productSpecKey"/>

	<!-- ■referenceToCompositeProductSpec (Element) substitution element -->
	<xsd:element name="referenceToCompositeProductSpec" type="product-v0:CompositeProductSpecKey"
			substitutionGroup="product-v0:referenceToProductSpec"/>

	<!-- ■ArrayOfProductSpecification -->
	<xsd:complexType name="ArrayOfProductSpecification">
		<xsd:sequence>
			<xsd:element name="contentsOf" type="product-v0:ContentsOfProductSpecification" minOccurs="2" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■ContentsOfProductSpecification -->
	<xsd:complexType name="ContentsOfProductSpecification">
		<xsd:sequence>
			<xsd:element ref="product-v0:productSpecKey"/>
			<xsd:element name="lowerLimit" type="xsd:positiveInteger" default="1" minOccurs="0"/>
			<xsd:element name="upperLimit" type="xsd:positiveInteger" default="1" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■ProductOffering
	 *==========================================================================
	 *
	-->
	<!-- ■productOffering (Element) to be substituted -->
	<xsd:element name="productOffering" type="product-v0:ProductOffering" abstract="true"
			substitutionGroup="cbe-v0:entitySpecification"/>

	<!-- ■ProductOffering -->
	<xsd:complexType name="ProductOffering" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecification">
				<xsd:sequence>
					<xsd:element name="makeAvailable" type="product-v0:ProductOfferingMakeAvailable" minOccurs="0"/>
					<xsd:element name="costedAt" type="product-v0:ArrayOfProdExpectedCostKey" minOccurs="0"/>
					<xsd:element name="valuedBy" type="product-v0:ArrayOfProdOfferingPriceKey" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductOfferingKey -->
	<xsd:complexType name="ProductOfferingKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productOfferingKey (Element) to be substituted -->
	<xsd:element name="productOfferingKey" type="product-v0:ProductOfferingKey" abstract="true"
			substitutionGroup="cbe-v0:baseEntitySpecKey"/>

	<!-- ■referenceToProductOffering (Element) substitution element -->
	<xsd:element name="referenceToProductOffering" type="product-v0:ProductOfferingKey" abstract="true"
			substitutionGroup="cbe-v0:baseReferenceToEntitySpec"/>

	<!-- ■ProductOfferingMakeAvailable -->
	<xsd:complexType name="ProductOfferingMakeAvailable">
		<xsd:sequence>
			<xsd:element ref="product-v0:productSpecKey"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■prodOfferAdminState -->
	<xsd:element name="prodOfferAdminState" type="product-v0:ProdOfferAdminState"
		substitutionGroup="cbe-v0:baseAdminState" />

	<!-- ■ProdOfferAdminState -->
	<xsd:simpleType name="ProdOfferAdminState">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="created" />
			<xsd:enumeration value="inprogress" />
			<xsd:enumeration value="pending" />
			<xsd:enumeration value="cancelled" />
			<xsd:enumeration value="published" />
			<xsd:enumeration value="unavailable" />
		</xsd:restriction>
	</xsd:simpleType>

	<!-- ■atomicProductOffering (Element) substitution element -->
	<xsd:element name="atomicProductOffering" type="product-v0:AtomicProductOffering"
			substitutionGroup="product-v0:productOffering"/>

	<!-- ■AtomicProductOffering -->
	<xsd:complexType name="AtomicProductOffering">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductOffering">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■AtomicProductOfferingKey -->
	<xsd:complexType name="AtomicProductOfferingKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductOfferingKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■atomicProductOfferingKey (Element) substitution element -->
	<xsd:element name="atomicProductOfferingKey" type="product-v0:AtomicProductOfferingKey"
			substitutionGroup="product-v0:productOfferingKey"/>

	<!-- ■referenceToAtomicProductOffering (Element) substitution element -->
	<xsd:element name="referenceToAtomicProductOffering" type="product-v0:AtomicProductOfferingKey"
			substitutionGroup="product-v0:referenceToProductOffering"/>

	<!-- ■bundledProductOffering (Element) substitution element -->
	<xsd:element name="bundledProductOffering" type="product-v0:BundledProductOffering"
			substitutionGroup="product-v0:productOffering"/>

	<!-- ■BundledProductOffering -->
	<xsd:complexType name="BundledProductOffering">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductOffering">
				<xsd:sequence>
					<xsd:element name="comprisedOf" type="product-v0:ArrayOfProductOffering"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■BundledProductOfferingKey -->
	<xsd:complexType name="BundledProductOfferingKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductOfferingKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■bundledProductOfferingKey (Element) substitution element -->
	<xsd:element name="bundledProductOfferingKey" type="product-v0:BundledProductOfferingKey"
			substitutionGroup="product-v0:productOfferingKey"/>

	<!-- ■referenceToBundledProductOffering (Element) substitution element -->
	<xsd:element name="referenceToBundledProductOffering" type="product-v0:BundledProductOfferingKey"
			substitutionGroup="product-v0:referenceToProductOffering"/>

	<!-- ■ArrayOfProductOffering -->
	<xsd:complexType name="ArrayOfProductOffering">
		<xsd:sequence>
			<xsd:element name="contentsOf" type="product-v0:ContentsOfProductOffering" minOccurs="2" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■ContentsOfProductOffering -->
	<xsd:complexType name="ContentsOfProductOffering">
		<xsd:sequence>
			<xsd:element ref="product-v0:productOfferingKey"/>
			<xsd:element name="lowerLimit" type="xsd:positiveInteger" default="1" minOccurs="0"/>
			<xsd:element name="upperLimit" type="xsd:positiveInteger" default="1" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■Product
	 *==========================================================================
	 *
	-->
	<!-- ■product (Element) to be substituted -->
	<xsd:element name="product" type="product-v0:Product" abstract="true"
			substitutionGroup="cbe-v0:entity"/>

	<!-- ■Product -->
	<xsd:complexType name="Product" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Entity">
				<xsd:sequence>
					<xsd:element name="productSerialNumber" type="xsd:string" minOccurs="0"/>
					<xsd:element name="costedAt" type="product-v0:ArrayOfProdActualCostKey" minOccurs="0"/>
					<xsd:element name="valuedBy" type="product-v0:ArrayOfProductPriceKey" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductKey -->
	<xsd:complexType name="ProductKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntityKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productKey (Element) to be substituted -->
	<xsd:element name="productKey" type="product-v0:ProductKey" abstract="true"
			substitutionGroup="cbe-v0:baseEntityKey"/>

	<!-- ■productAdminState -->
	<xsd:element name="productAdminState" type="product-v0:ProductAdminState"
		substitutionGroup="cbe-v0:baseAdminState" />

	<!-- ■ProductAdminState -->
	<xsd:simpleType name="ProductAdminState">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="created" />
			<xsd:enumeration value="inprogress" />
			<xsd:enumeration value="pending" />
			<xsd:enumeration value="cancelled" />
			<xsd:enumeration value="in_service" />
			<xsd:enumeration value="disconnected" />
		</xsd:restriction>
	</xsd:simpleType>

	<!-- ■atomicProduct (Element) substitution element -->
	<xsd:element name="atomicProduct" type="product-v0:AtomicProduct"
			substitutionGroup="product-v0:product"/>

	<!-- ■AtomicProduct -->
	<xsd:complexType name="AtomicProduct">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:Product">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■AtomicProductKey -->
	<xsd:complexType name="AtomicProductKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■atomicProductKey (Element) substitution element -->
	<xsd:element name="atomicProductKey" type="product-v0:AtomicProductKey"
			substitutionGroup="product-v0:productKey"/>

	<!-- ■bundledProduct (Element) substitution element -->
	<xsd:element name="bundledProduct" type="product-v0:BundledProduct"
			substitutionGroup="product-v0:product"/>

	<!-- ■BundledProduct -->
	<xsd:complexType name="BundledProduct">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:Product">
				<xsd:sequence>
					<xsd:element name="comprisedOf" type="product-v0:ArrayOfProduct"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■BundledProductKey -->
	<xsd:complexType name="BundledProductKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■bundledProductKey (Element) substitution element -->
	<xsd:element name="bundledProductKey" type="product-v0:BundledProductKey"
			substitutionGroup="product-v0:productKey"/>

	<!-- ■ArrayOfProduct -->
	<xsd:complexType name="ArrayOfProduct">
		<xsd:sequence>
			<xsd:element ref="product-v0:product" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■ProductExpectedCostSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■productExpectedCostSpecification (Element) -->
	<xsd:element name="productExpectedCostSpecification" type="product-v0:ProductExpectedCostSpecification" abstract="true"
			substitutionGroup="cbe-v0:entitySpecification"/>

	<!-- ■ProductExpectedCostSpecification -->
	<xsd:complexType name="ProductExpectedCostSpecification" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductExpectedCostSpecKey -->
	<xsd:complexType name="ProductExpectedCostSpecKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productExpectedCostSpecKey (Element) substitution element -->
	<xsd:element name="productExpectedCostSpecKey" type="product-v0:ProductExpectedCostSpecKey" abstract="true"
			substitutionGroup="cbe-v0:baseEntitySpecKey"/>

	<!-- ■referenceToProductExpectedCostSpec (Element) substitution element -->
	<xsd:element name="referenceToProdExpectedCostSpec" type="product-v0:ProductExpectedCostSpecKey" abstract="true"
			substitutionGroup="cbe-v0:baseReferenceToEntitySpec"/>

	<!-- ■atomicProdExpectedCostSpecification (Element) substitution element -->
	<xsd:element name="atomicProdExpectedCostSpecification" type="product-v0:AtomicProdExpectedCostSpecification"
			substitutionGroup="product-v0:productExpectedCostSpecification"/>

	<!-- ■AtomicProdExpectedCostSpecification -->
	<xsd:complexType name="AtomicProdExpectedCostSpecification">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductExpectedCostSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■AtomicProdExpectedCostSpecKey -->
	<xsd:complexType name="AtomicProdExpectedCostSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductExpectedCostSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■atomicProdExpectedCostSpecKey (Element) substitution element -->
	<xsd:element name="atomicProdExpectedCostSpecKey" type="product-v0:AtomicProdExpectedCostSpecKey"
			substitutionGroup="product-v0:productExpectedCostSpecKey"/>

	<!-- ■referenceToAtomicProdExpectedCostSpec (Element) substitution element -->
	<xsd:element name="referenceToAtomicProdExpectedCostSpec" type="product-v0:AtomicProdExpectedCostSpecKey"
			substitutionGroup="product-v0:referenceToProdExpectedCostSpec"/>

	<!-- ■compositeProdExpectedCostSpecification (Element) substitution element -->
	<xsd:element name="compositeProdExpectedCostSpecification" type="product-v0:CompositeProdExpectedCostSpecification"
			substitutionGroup="product-v0:productExpectedCostSpecification"/>

	<!-- ■CompositeProdExpectedCostSpecification -->
	<xsd:complexType name="CompositeProdExpectedCostSpecification">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductExpectedCostSpecification">
				<xsd:sequence>
					<xsd:element name="comprisedOf" type="product-v0:ArrayOfProdExpectedCostSpecification"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CompositeProdExpectedCostSpecKey -->
	<xsd:complexType name="CompositeProdExpectedCostSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductExpectedCostSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■compositeProdExpectedCostSpecKey (Element) substitution element -->
	<xsd:element name="compositeProdExpectedCostSpecKey" type="product-v0:CompositeProdExpectedCostSpecKey"
			substitutionGroup="product-v0:productExpectedCostSpecKey"/>

	<!-- ■referenceToCompositeProdExpectedCostSpec (Element) substitution element -->
	<xsd:element name="referenceToCompositeProdExpectedCostSpec" type="product-v0:CompositeProdExpectedCostSpecKey"
			substitutionGroup="product-v0:referenceToProdExpectedCostSpec"/>

	<!-- ■ArrayOfProdExpectedCostSpecification -->
	<xsd:complexType name="ArrayOfProdExpectedCostSpecification">
		<xsd:sequence>
			<xsd:element ref="product-v0:productExpectedCostSpecKey" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■ProductExpectedCost
	 *==========================================================================
	 *
	-->
	<!-- ■productExpectedCost -->
	<xsd:element name="productExpectedCost" type="product-v0:ProductExpectedCost" abstract="true"
			substitutionGroup="cbe-v0:entity"/>

	<!-- ■ProductExpectedCost -->
	<xsd:complexType name="ProductExpectedCost" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Entity">
				<xsd:sequence>
					<xsd:element name="influencedBy" type="cbe-v0:ArrayOfCharcSpecValueKey" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductExpectedCostKey -->
	<xsd:complexType name="ProductExpectedCostKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntityKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productExpectedCostKey (Element) substitution element -->
	<xsd:element name="productExpectedCostKey" type="product-v0:ProductExpectedCostKey" abstract="true"
			substitutionGroup="cbe-v0:baseEntityKey"/>

	<!-- ■atomicProdExpectedCost (Element) substitution element -->
	<xsd:element name="atomicProdExpectedCost" type="product-v0:AtomicProdExpectedCost"
			substitutionGroup="product-v0:productExpectedCost"/>

	<!-- ■AtomicProdExpectedCost -->
	<xsd:complexType name="AtomicProdExpectedCost">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductExpectedCost">
				<xsd:sequence>
					<xsd:element name="costType" type="xsd:string" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>コストの適用対象</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="unitOfMeasure" type="datatypes-v0:Quantity" minOccurs="0"/>
					<!-- <xsd:element name="cost" type="datatypes-v0:Money"/> -->
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■AtomicProdExpectedCostKey -->
	<xsd:complexType name="AtomicProdExpectedCostKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductExpectedCostKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■atomicProdExpectedCostKey (Element) substitution element -->
	<xsd:element name="atomicProdExpectedCostKey" type="product-v0:AtomicProdExpectedCostKey"
			substitutionGroup="product-v0:productExpectedCostKey"/>

	<!-- ■compositeProdExpectedCost (Element) substitution element -->
	<xsd:element name="compositeProdExpectedCost" type="product-v0:CompositeProdExpectedCost"
			substitutionGroup="product-v0:productExpectedCost"/>

	<!-- ■CompositeProdExpectedCost -->
	<xsd:complexType name="CompositeProdExpectedCost">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductExpectedCost">
				<xsd:sequence>
					<xsd:element name="comprisedOf" type="product-v0:ArrayOfProdExpectedCost"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CompositeProdExpectedCostKey -->
	<xsd:complexType name="CompositeProdExpectedCostKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductExpectedCostKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■compositeProdExpectedCostKey (Element) substitution element -->
	<xsd:element name="compositeProdExpectedCostKey" type="product-v0:CompositeProdExpectedCostKey"
			substitutionGroup="product-v0:productExpectedCostKey"/>

	<!-- ■ArrayOfProdExpectedCost -->
	<xsd:complexType name="ArrayOfProdExpectedCost">
		<xsd:sequence>
			<xsd:element ref="product-v0:productExpectedCost" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■ArrayOfProdExpectedCostKey -->
	<xsd:complexType name="ArrayOfProdExpectedCostKey">
		<xsd:sequence>
			<xsd:element ref="product-v0:productExpectedCostKey" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■ProductActualCostSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■productActualCostSpecification (Element) -->
	<xsd:element name="productActualCostSpecification" type="product-v0:ProductActualCostSpecification" abstract="true"
			substitutionGroup="cbe-v0:entitySpecification"/>

	<!-- ■ProductActualCostSpecification -->
	<xsd:complexType name="ProductActualCostSpecification" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductActualCostSpecKey -->
	<xsd:complexType name="ProductActualCostSpecKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productActualCostSpecKey (Element) substitution element -->
	<xsd:element name="productActualCostSpecKey" type="product-v0:ProductActualCostSpecKey" abstract="true"
			substitutionGroup="cbe-v0:baseEntitySpecKey"/>

	<!-- ■referenceToProductActualCostSpec (Element) substitution element -->
	<xsd:element name="referenceToProdActualCostSpec" type="product-v0:ProductActualCostSpecKey" abstract="true"
			substitutionGroup="cbe-v0:baseReferenceToEntitySpec"/>

	<!-- ■atomicProdActualCostSpecification (Element) substitution element -->
	<xsd:element name="atomicProdActualCostSpecification" type="product-v0:AtomicProdActualCostSpecification"
			substitutionGroup="product-v0:productActualCostSpecification"/>

	<!-- ■AtomicProdActualCostSpecification -->
	<xsd:complexType name="AtomicProdActualCostSpecification">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductActualCostSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■AtomicProdActualCostSpecKey -->
	<xsd:complexType name="AtomicProdActualCostSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductActualCostSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■atomicProdActualCostSpecKey (Element) substitution element -->
	<xsd:element name="atomicProdActualCostSpecKey" type="product-v0:AtomicProdActualCostSpecKey"
			substitutionGroup="product-v0:productActualCostSpecKey"/>

	<!-- ■referenceToAtomicProdActualCostSpec (Element) substitution element -->
	<xsd:element name="referenceToAtomicProdActualCostSpec" type="product-v0:AtomicProdActualCostSpecKey"
			substitutionGroup="product-v0:referenceToProdActualCostSpec"/>

	<!-- ■compositeProdActualCostSpecification (Element) substitution element -->
	<xsd:element name="compositeProdActualCostSpecification" type="product-v0:CompositeProdActualCostSpecification"
			substitutionGroup="product-v0:productActualCostSpecification"/>

	<!-- ■CompositeProdActualCostSpecification -->
	<xsd:complexType name="CompositeProdActualCostSpecification">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductActualCostSpecification">
				<xsd:sequence>
					<xsd:element name="comprisedOf" type="product-v0:ArrayOfProdActualCostSpecification"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CompositeProdActualCostSpecKey -->
	<xsd:complexType name="CompositeProdActualCostSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductActualCostSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■compositeProdActualCostSpecKey (Element) substitution element -->
	<xsd:element name="compositeProdActualCostSpecKey" type="product-v0:CompositeProdActualCostSpecKey"
			substitutionGroup="product-v0:productActualCostSpecKey"/>

	<!-- ■referenceToCompositeProdActualCostSpec (Element) substitution element -->
	<xsd:element name="referenceToCompositeProdActualCostSpec" type="product-v0:CompositeProdActualCostSpecKey"
			substitutionGroup="product-v0:referenceToProdActualCostSpec"/>

	<!-- ■ArrayOfProdActualCostSpecification -->
	<xsd:complexType name="ArrayOfProdActualCostSpecification">
		<xsd:sequence>
			<xsd:element ref="product-v0:productActualCostSpecKey" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■ProductActualCost
	 *==========================================================================
	 *
	-->
	<!-- ■productActualCost -->
	<xsd:element name="productActualCost" type="product-v0:ProductActualCost" abstract="true"
			substitutionGroup="cbe-v0:entity"/>

	<!-- ■ProductActualCost -->
	<xsd:complexType name="ProductActualCost" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Entity">
				<xsd:sequence>
					<xsd:element name="realizes" type="product-v0:ProductActualCostRealizes" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductActualCostKey -->
	<xsd:complexType name="ProductActualCostKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntityKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productActualCostKey (Element) substitution element -->
	<xsd:element name="productActualCostKey" type="product-v0:ProductActualCostKey" abstract="true"
			substitutionGroup="cbe-v0:baseEntityKey"/>

	<!-- ■ProductActualCostRealizes -->
	<xsd:complexType name="ProductActualCostRealizes">
		<xsd:sequence>
			<xsd:element ref="product-v0:productExpectedCostKey"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■atomicProdActualCost (Element) substitution element -->
	<xsd:element name="atomicProdActualCost" type="product-v0:AtomicProdActualCost"
			substitutionGroup="product-v0:productActualCost"/>

	<!-- ■AtomicProdActualCost -->
	<xsd:complexType name="AtomicProdActualCost">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductActualCost">
				<xsd:sequence>
					<xsd:element name="costType" type="xsd:string" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>コストの適用対象</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="unitOfMeasure" type="datatypes-v0:Quantity" minOccurs="0"/>
					<!-- <xsd:element name="cost" type="datatypes-v0:Money"/> -->
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■AtomicProdActualCostKey -->
	<xsd:complexType name="AtomicProdActualCostKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductActualCostKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■atomicProdActualCostKey (Element) substitution element -->
	<xsd:element name="atomicProdActualCostKey" type="product-v0:AtomicProdActualCostKey"
			substitutionGroup="product-v0:productActualCostKey"/>

	<!-- ■compositeProdActualCost (Element) substitution element -->
	<xsd:element name="compositeProdActualCost" type="product-v0:CompositeProdActualCost"
			substitutionGroup="product-v0:productActualCost"/>

	<!-- ■CompositeProdActualCost -->
	<xsd:complexType name="CompositeProdActualCost">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductActualCost">
				<xsd:sequence>
					<xsd:element name="comprisedOf" type="product-v0:ArrayOfProdActualCost"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CompositeProdActualCostKey -->
	<xsd:complexType name="CompositeProdActualCostKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductActualCostKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■compositeProdActualCostKey (Element) substitution element -->
	<xsd:element name="compositeProdActualCostKey" type="product-v0:CompositeProdActualCostKey"
			substitutionGroup="product-v0:productActualCostKey"/>

	<!-- ■ArrayOfProdActualCost -->
	<xsd:complexType name="ArrayOfProdActualCost">
		<xsd:sequence>
			<xsd:element ref="product-v0:productActualCost" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■ArrayOfProdActualCostKey -->
	<xsd:complexType name="ArrayOfProdActualCostKey">
		<xsd:sequence>
			<xsd:element ref="product-v0:productActualCostKey" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■ProductOfferingPriceSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■productOfferingPriceSpecification (Element) -->
	<xsd:element name="productOfferingPriceSpecification" type="product-v0:ProductOfferingPriceSpecification" abstract="true"
			substitutionGroup="cbe-v0:entitySpecification"/>

	<!-- ■ProductOfferingPriceSpecification -->
	<xsd:complexType name="ProductOfferingPriceSpecification" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductOfferingPriceSpecKey -->
	<xsd:complexType name="ProductOfferingPriceSpecKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productOfferingPriceSpecKey (Element) substitution element -->
	<xsd:element name="productOfferingPriceSpecKey" type="product-v0:ProductOfferingPriceSpecKey" abstract="true"
			substitutionGroup="cbe-v0:baseEntitySpecKey"/>

	<!-- ■referenceToProductOfferingPriceSpec (Element) substitution element -->
	<xsd:element name="referenceToProdOfferingPriceSpec" type="product-v0:ProductOfferingPriceSpecKey" abstract="true"
			substitutionGroup="cbe-v0:baseReferenceToEntitySpec"/>

	<!-- ■atomicProdOfferingPriceSpecification (Element) substitution element -->
	<xsd:element name="atomicProdOfferingPriceSpecification" type="product-v0:AtomicProdOfferingPriceSpecification"
			substitutionGroup="product-v0:productOfferingPriceSpecification"/>

	<!-- ■AtomicProdOfferingPriceSpecification -->
	<xsd:complexType name="AtomicProdOfferingPriceSpecification">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductOfferingPriceSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■AtomicProdOfferingPriceSpecKey -->
	<xsd:complexType name="AtomicProdOfferingPriceSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductOfferingPriceSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■atomicProdOfferingPriceSpecKey (Element) substitution element -->
	<xsd:element name="atomicProdOfferingPriceSpecKey" type="product-v0:AtomicProdOfferingPriceSpecKey"
			substitutionGroup="product-v0:productOfferingPriceSpecKey"/>

	<!-- ■referenceToAtomicProdOfferingPriceSpec (Element) substitution element -->
	<xsd:element name="referenceToAtomicProdOfferingPriceSpec" type="product-v0:AtomicProdOfferingPriceSpecKey"
			substitutionGroup="product-v0:referenceToProdOfferingPriceSpec"/>

	<!-- ■compositeProdOfferingPriceSpecification (Element) substitution element -->
	<xsd:element name="compositeProdOfferingPriceSpecification" type="product-v0:CompositeProdOfferingPriceSpecification"
			substitutionGroup="product-v0:productOfferingPriceSpecification"/>

	<!-- ■CompositeProdOfferingPriceSpecification -->
	<xsd:complexType name="CompositeProdOfferingPriceSpecification">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductOfferingPriceSpecification">
				<xsd:sequence>
					<xsd:element name="comprisedOf" type="product-v0:ArrayOfProdOfferingPriceSpecification"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CompositeProdOfferingPriceSpecKey -->
	<xsd:complexType name="CompositeProdOfferingPriceSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductOfferingPriceSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■compositeProdOfferingPriceSpecKey (Element) substitution element -->
	<xsd:element name="compositeProdOfferingPriceSpecKey" type="product-v0:CompositeProdOfferingPriceSpecKey"
			substitutionGroup="product-v0:productOfferingPriceSpecKey"/>

	<!-- ■referenceToCompositeProdOfferingPriceSpec (Element) substitution element -->
	<xsd:element name="referenceToCompositeProdOfferingPriceSpec" type="product-v0:CompositeProdOfferingPriceSpecKey"
			substitutionGroup="product-v0:referenceToProdOfferingPriceSpec"/>

	<!-- ■ArrayOfProdOfferingPriceSpecification -->
	<xsd:complexType name="ArrayOfProdOfferingPriceSpecification">
		<xsd:sequence>
			<xsd:element ref="product-v0:productOfferingPriceSpecKey" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■ProductOfferingPrice
	 *==========================================================================
	 *
	-->
	<!-- ■productOfferingPrice -->
	<xsd:element name="productOfferingPrice" type="product-v0:ProductOfferingPrice" abstract="true"
			substitutionGroup="cbe-v0:entity"/>

	<!-- ■ProductOfferingPrice -->
	<xsd:complexType name="ProductOfferingPrice" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Entity">
				<xsd:sequence>
					<xsd:element name="basedOn" type="product-v0:ArrayOfProdExpectedCostKey" minOccurs="0"/>
					<xsd:element name="influencedBy" type="cbe-v0:ArrayOfCharcSpecValueKey" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductOfferingPriceKey -->
	<xsd:complexType name="ProductOfferingPriceKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntityKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productOfferingPriceKey (Element) substitution element -->
	<xsd:element name="productOfferingPriceKey" type="product-v0:ProductOfferingPriceKey" abstract="true"
			substitutionGroup="cbe-v0:baseEntityKey"/>

	<!-- ■atomicProdOfferingPrice (Element) substitution element -->
	<xsd:element name="atomicProdOfferingPrice" type="product-v0:AtomicProdOfferingPrice"
			substitutionGroup="product-v0:productOfferingPrice"/>

	<!-- ■AtomicProdOfferingPrice -->
	<xsd:complexType name="AtomicProdOfferingPrice">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductOfferingPrice">
				<xsd:sequence>
					<xsd:element name="priceType" type="xsd:string" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>recurring、discount、allowance、penalty、等。</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="unitOfMeasure" type="datatypes-v0:Quantity" minOccurs="0"/>
					<!-- <xsd:element name="price" type="datatypes-v0:Money"/> -->
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■AtomicProdOfferingPriceKey -->
	<xsd:complexType name="AtomicProdOfferingPriceKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductOfferingPriceKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■atomicProdOfferingPriceKey (Element) substitution element -->
	<xsd:element name="atomicProdOfferingPriceKey" type="product-v0:AtomicProdOfferingPriceKey"
			substitutionGroup="product-v0:productOfferingPriceKey"/>

	<!-- ■compositeProdOfferingPrice (Element) substitution element -->
	<xsd:element name="compositeProdOfferingPrice" type="product-v0:CompositeProdOfferingPrice"
			substitutionGroup="product-v0:productOfferingPrice"/>

	<!-- ■CompositeProdOfferingPrice -->
	<xsd:complexType name="CompositeProdOfferingPrice">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductOfferingPrice">
				<xsd:sequence>
					<xsd:element name="comprisedOf" type="product-v0:ArrayOfProdOfferingPrice"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CompositeProdOfferingPriceKey -->
	<xsd:complexType name="CompositeProdOfferingPriceKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductOfferingPriceKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■compositeProdOfferingPriceKey (Element) substitution element -->
	<xsd:element name="compositeProdOfferingPriceKey" type="product-v0:CompositeProdOfferingPriceKey"
			substitutionGroup="product-v0:productOfferingPriceKey"/>

	<!-- ■ArrayOfProdOfferingPrice -->
	<xsd:complexType name="ArrayOfProdOfferingPrice">
		<xsd:sequence>
			<xsd:element ref="product-v0:productOfferingPrice" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■ArrayOfProdOfferingPriceKey -->
	<xsd:complexType name="ArrayOfProdOfferingPriceKey">
		<xsd:sequence>
			<xsd:element ref="product-v0:productOfferingPriceKey" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■ProductPriceSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■productPriceSpecification (Element) -->
	<xsd:element name="productPriceSpecification" type="product-v0:ProductPriceSpecification" abstract="true"
			substitutionGroup="cbe-v0:entitySpecification"/>

	<!-- ■ProductPriceSpecification -->
	<xsd:complexType name="ProductPriceSpecification" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductPriceSpecKey -->
	<xsd:complexType name="ProductPriceSpecKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productPriceSpecKey (Element) substitution element -->
	<xsd:element name="productPriceSpecKey" type="product-v0:ProductPriceSpecKey" abstract="true"
			substitutionGroup="cbe-v0:baseEntitySpecKey"/>

	<!-- ■referenceToProductPriceSpec (Element) substitution element -->
	<xsd:element name="referenceToProdPriceSpec" type="product-v0:ProductPriceSpecKey" abstract="true"
			substitutionGroup="cbe-v0:baseReferenceToEntitySpec"/>

	<!-- ■atomicProdPriceSpecification (Element) substitution element -->
	<xsd:element name="atomicProdPriceSpecification" type="product-v0:AtomicProdPriceSpecification"
			substitutionGroup="product-v0:productPriceSpecification"/>

	<!-- ■AtomicProdPriceSpecification -->
	<xsd:complexType name="AtomicProdPriceSpecification">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductPriceSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■AtomicProdPriceSpecKey -->
	<xsd:complexType name="AtomicProdPriceSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductPriceSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■atomicProdPriceSpecKey (Element) substitution element -->
	<xsd:element name="atomicProdPriceSpecKey" type="product-v0:AtomicProdPriceSpecKey"
			substitutionGroup="product-v0:productPriceSpecKey"/>

	<!-- ■referenceToAtomicProdPriceSpec (Element) substitution element -->
	<xsd:element name="referenceToAtomicProdPriceSpec" type="product-v0:AtomicProdPriceSpecKey"
			substitutionGroup="product-v0:referenceToProdPriceSpec"/>

	<!-- ■compositeProdPriceSpecification (Element) substitution element -->
	<xsd:element name="compositeProdPriceSpecification" type="product-v0:CompositeProdPriceSpecification"
			substitutionGroup="product-v0:productPriceSpecification"/>

	<!-- ■CompositeProdPriceSpecification -->
	<xsd:complexType name="CompositeProdPriceSpecification">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductPriceSpecification">
				<xsd:sequence>
					<xsd:element name="comprisedOf" type="product-v0:ArrayOfProdPriceSpecification"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CompositeProdPriceSpecKey -->
	<xsd:complexType name="CompositeProdPriceSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductPriceSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■compositeProdPriceSpecKey (Element) substitution element -->
	<xsd:element name="compositeProdPriceSpecKey" type="product-v0:CompositeProdPriceSpecKey"
			substitutionGroup="product-v0:productPriceSpecKey"/>

	<!-- ■referenceToCompositeProdPriceSpec (Element) substitution element -->
	<xsd:element name="referenceToCompositeProdPriceSpec" type="product-v0:CompositeProdPriceSpecKey"
			substitutionGroup="product-v0:referenceToProdPriceSpec"/>

	<!-- ■ArrayOfProdPriceSpecification -->
	<xsd:complexType name="ArrayOfProdPriceSpecification">
		<xsd:sequence>
			<xsd:element ref="product-v0:productPriceSpecKey" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■ProductPrice
	 *==========================================================================
	 *
	-->
	<!-- ■productPrice -->
	<xsd:element name="productPrice" type="product-v0:ProductPrice" abstract="true"
			substitutionGroup="cbe-v0:entity"/>

	<!-- ■ProductPrice -->
	<xsd:complexType name="ProductPrice" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Entity">
				<xsd:sequence>
					<xsd:element name="basedOn" type="product-v0:ArrayOfProdActualCostKey" minOccurs="0"/>
					<xsd:element name="realizes" type="product-v0:ProductPriceRealizes" minOccurs="0"/>
					<xsd:element name="relatedTo" type="party-v0:ArrayOfPartyRoleKey" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductPriceKey -->
	<xsd:complexType name="ProductPriceKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntityKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productPriceKey (Element) substitution element -->
	<xsd:element name="productPriceKey" type="product-v0:ProductPriceKey" abstract="true"
			substitutionGroup="cbe-v0:baseEntityKey"/>

	<!-- ■ProductPriceRealizes -->
	<xsd:complexType name="ProductPriceRealizes">
		<xsd:sequence>
			<xsd:element ref="product-v0:productOfferingPriceKey"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■atomicProdPrice (Element) substitution element -->
	<xsd:element name="atomicProdPrice" type="product-v0:AtomicProdPrice"
			substitutionGroup="product-v0:productPrice"/>

	<!-- ■AtomicProdPrice -->
	<xsd:complexType name="AtomicProdPrice">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductPrice">
				<xsd:sequence>
					<xsd:element name="priceType" type="xsd:string" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>recurring、discount、allowance、penalty、等。</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="unitOfMeasure" type="datatypes-v0:Quantity" minOccurs="0"/>
					<!-- <xsd:element name="price" type="datatypes-v0:Money"/> -->
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■AtomicProdPriceKey -->
	<xsd:complexType name="AtomicProdPriceKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductPriceKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■atomicProdPriceKey (Element) substitution element -->
	<xsd:element name="atomicProdPriceKey" type="product-v0:AtomicProdPriceKey"
			substitutionGroup="product-v0:productPriceKey"/>

	<!-- ■compositeProdPrice (Element) substitution element -->
	<xsd:element name="compositeProdPrice" type="product-v0:CompositeProdPrice"
			substitutionGroup="product-v0:productPrice"/>

	<!-- ■CompositeProdPrice -->
	<xsd:complexType name="CompositeProdPrice">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductPrice">
				<xsd:sequence>
					<xsd:element name="comprisedOf" type="product-v0:ArrayOfProductPrice"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CompositeProdPriceKey -->
	<xsd:complexType name="CompositeProdPriceKey">
		<xsd:complexContent>
			<xsd:extension base = "product-v0:ProductPriceKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■compositeProdPriceKey (Element) substitution element -->
	<xsd:element name="compositeProdPriceKey" type="product-v0:CompositeProdPriceKey"
			substitutionGroup="product-v0:productPriceKey"/>

	<!-- ■ArrayOfProductPrice -->
	<xsd:complexType name="ArrayOfProductPrice">
		<xsd:sequence>
			<xsd:element ref="product-v0:productPrice" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■ArrayOfProductPriceKey -->
	<xsd:complexType name="ArrayOfProductPriceKey">
		<xsd:sequence>
			<xsd:element ref="product-v0:productPriceKey" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■ProductSpecRelSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■productSpecRelSpecification (Element) -->
	<xsd:element name="productSpecRelSpecification" type="product-v0:ProductSpecRelSpecification"
			substitutionGroup="cbe-v0:associationSpecification"/>

	<!-- ■ProductSpecRelSpecification -->
	<xsd:complexType name="ProductSpecRelSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductSpecRelSpecKey -->
	<xsd:complexType name="ProductSpecRelSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productSpecRelSpecKey (Element) substitution element -->
	<xsd:element name="productSpecRelSpecKey" type="product-v0:ProductSpecRelSpecKey"
			substitutionGroup="cbe-v0:associationSpecKey"/>

	<!-- ■referenceToProductSpecRelSpec (Element) substitution element -->
	<xsd:element name="referenceToProductSpecRelSpec" type="product-v0:ProductSpecRelSpecKey"
			substitutionGroup="cbe-v0:referenceToAssociationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■ProductSpecRelationship
	 *==========================================================================
	 *
	-->
	<!-- ■productSpecRelationship (Element) -->
	<xsd:element name="productSpecRelationship" type="product-v0:ProductSpecRelationship"
			substitutionGroup="cbe-v0:association"/>

	<!-- ■ProductSpecRelationship -->
	<xsd:complexType name="ProductSpecRelationship">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Association">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductSpecRelKey -->
	<xsd:complexType name="ProductSpecRelKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productSpecRelKey (Element) substitution element -->
	<xsd:element name="productSpecRelKey" type="product-v0:ProductSpecRelKey"
			substitutionGroup="cbe-v0:associationKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■ProductOfferingRelSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■productOfferingRelSpecification (Element) -->
	<xsd:element name="productOfferingRelSpecification" type="product-v0:ProductOfferingRelSpecification"
			substitutionGroup="cbe-v0:associationSpecification"/>

	<!-- ■ProductOfferingRelSpecification -->
	<xsd:complexType name="ProductOfferingRelSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductOfferingRelSpecKey -->
	<xsd:complexType name="ProductOfferingRelSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productOfferingRelSpecKey (Element) substitution element -->
	<xsd:element name="productOfferingRelSpecKey" type="product-v0:ProductOfferingRelSpecKey"
			substitutionGroup="cbe-v0:associationSpecKey"/>

	<!-- ■referenceToProductOfferingRelSpec (Element) substitution element -->
	<xsd:element name="referenceToProductOfferingRelSpec" type="product-v0:ProductOfferingRelSpecKey"
			substitutionGroup="cbe-v0:referenceToAssociationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■ProductOfferingRelationship
	 *==========================================================================
	 *
	-->
	<!-- ■productOfferingRelationship (Element) -->
	<xsd:element name="productOfferingRelationship" type="product-v0:ProductOfferingRelationship"
			substitutionGroup="cbe-v0:association"/>

	<!-- ■ProductOfferingRelationship -->
	<xsd:complexType name="ProductOfferingRelationship">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Association">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductOfferingRelKey -->
	<xsd:complexType name="ProductOfferingRelKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productOfferingRelKey (Element) substitution element -->
	<xsd:element name="productOfferingRelKey" type="product-v0:ProductOfferingRelKey"
			substitutionGroup="cbe-v0:associationKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■ProductRelSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■productRelSpecification (Element) -->
	<xsd:element name="productRelSpecification" type="product-v0:ProductRelSpecification"
			substitutionGroup="cbe-v0:associationSpecification"/>

	<!-- ■ProductRelSpecification -->
	<xsd:complexType name="ProductRelSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductRelSpecKey -->
	<xsd:complexType name="ProductRelSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productRelSpecKey (Element) substitution element -->
	<xsd:element name="productRelSpecKey" type="product-v0:ProductRelSpecKey"
			substitutionGroup="cbe-v0:associationSpecKey"/>

	<!-- ■referenceToProductRelSpec (Element) substitution element -->
	<xsd:element name="referenceToProductRelSpec" type="product-v0:ProductRelSpecKey"
			substitutionGroup="cbe-v0:referenceToAssociationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■ProductRelationship
	 *==========================================================================
	 *
	-->
	<!-- ■productRelationship (Element) -->
	<xsd:element name="productRelationship" type="product-v0:ProductRelationship"
			substitutionGroup="cbe-v0:association"/>

	<!-- ■ProductRelationship -->
	<xsd:complexType name="ProductRelationship">
		<xsd:annotation>
			<xsd:documentation>冗長構成、等</xsd:documentation>
		</xsd:annotation>
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Association">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductRelKey -->
	<xsd:complexType name="ProductRelKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productRelKey (Element) substitution element -->
	<xsd:element name="productRelKey" type="product-v0:ProductRelKey"
			substitutionGroup="cbe-v0:associationKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■ProdOfferPlaceAssocSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■prodOfferPlaceAssocSpecification (Element) -->
	<xsd:element name="prodOfferPlaceAssocSpecification" type="product-v0:ProdOfferPlaceAssocSpecification"
			substitutionGroup="cbe-v0:associationSpecification"/>

	<!-- ■ProdOfferPlaceAssocSpecification -->
	<xsd:complexType name="ProdOfferPlaceAssocSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProdOfferPlaceAssocSpecKey -->
	<xsd:complexType name="ProdOfferPlaceAssocSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■prodOfferPlaceAssocSpecKey (Element) substitution element -->
	<xsd:element name="prodOfferPlaceAssocSpecKey" type="product-v0:ProdOfferPlaceAssocSpecKey"
			substitutionGroup="cbe-v0:associationSpecKey"/>

	<!-- ■referenceToProdOfferPlaceAssocSpec (Element) substitution element -->
	<xsd:element name="referenceToProdOfferPlaceAssocSpec" type="product-v0:ProdOfferPlaceAssocSpecKey"
			substitutionGroup="cbe-v0:referenceToAssociationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■ProdOfferPlaceAssociation
	 *==========================================================================
	 *
	-->
	<!-- ■prodOfferPlaceAssociation (Element) -->
	<xsd:element name="prodOfferPlaceAssociation" type="product-v0:ProdOfferPlaceAssociation"
			substitutionGroup="cbe-v0:association"/>

	<!-- ■ProductOfferPlaceAssociation -->
	<xsd:complexType name="ProdOfferPlaceAssociation">
		<xsd:annotation>
			<xsd:documentation>Available in</xsd:documentation>
		</xsd:annotation>
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Association">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProdOfferPlaceAssocKey -->
	<xsd:complexType name="ProdOfferPlaceAssocKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■prodOfferPlaceAssocKey (Element) substitution element -->
	<xsd:element name="prodOfferPlaceAssocKey" type="product-v0:ProdOfferPlaceAssocKey"
			substitutionGroup="cbe-v0:associationKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■ProductPlaceAssocSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■productPlaceAssocSpecification (Element) -->
	<xsd:element name="productPlaceAssocSpecification" type="product-v0:ProductPlaceAssocSpecification"
			substitutionGroup="cbe-v0:associationSpecification"/>

	<!-- ■ProductPlaceAssocSpecification -->
	<xsd:complexType name="ProductPlaceAssocSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductPlaceAssocSpecKey -->
	<xsd:complexType name="ProductPlaceAssocSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productPlaceAssocSpecKey (Element) substitution element -->
	<xsd:element name="productPlaceAssocSpecKey" type="product-v0:ProductPlaceAssocSpecKey"
			substitutionGroup="cbe-v0:associationSpecKey"/>

	<!-- ■referenceToProductPlaceAssocSpec (Element) substitution element -->
	<xsd:element name="referenceToProductPlaceAssocSpec" type="product-v0:ProductPlaceAssocSpecKey"
			substitutionGroup="cbe-v0:referenceToAssociationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■ProductPlaceAssociation
	 *==========================================================================
	 *
	-->
	<!-- ■productPlaceAssociation (Element) -->
	<xsd:element name="productPlaceAssociation" type="product-v0:ProductPlaceAssociation"
			substitutionGroup="cbe-v0:association"/>

	<!-- ■ProductPlaceAssociation -->
	<xsd:complexType name="ProductPlaceAssociation">
		<xsd:annotation>
			<xsd:documentation>aEndKey : ProductKey、zEndKey : PlaceKey。e.g. CPE 設置場所、収容 PoP、等</xsd:documentation>
		</xsd:annotation>
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Association">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProductPlaceAssocKey -->
	<xsd:complexType name="ProductPlaceAssocKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■productPlaceAssocKey (Element) substitution element -->
	<xsd:element name="productPlaceAssocKey" type="product-v0:ProductPlaceAssocKey"
			substitutionGroup="cbe-v0:associationKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■ProdExpctCostPlaceAssocSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■prodExpctCostPlaceAssocSpecification (Element) -->
	<xsd:element name="prodExpctCostPlaceAssocSpecification" type="product-v0:ProdExpctCostPlaceAssocSpecification"
			substitutionGroup="cbe-v0:associationSpecification"/>

	<!-- ■ProdExpctCostPlaceAssocSpecification -->
	<xsd:complexType name="ProdExpctCostPlaceAssocSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProdExpctCostPlaceAssocSpecKey -->
	<xsd:complexType name="ProdExpctCostPlaceAssocSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■prodExpctCostPlaceAssocSpecKey (Element) substitution element -->
	<xsd:element name="prodExpctCostPlaceAssocSpecKey" type="product-v0:ProdExpctCostPlaceAssocSpecKey"
			substitutionGroup="cbe-v0:associationSpecKey"/>

	<!-- ■referenceToProdExpctCostPlaceAssocSpec (Element) substitution element -->
	<xsd:element name="referenceToProdExpctCostPlaceAssocSpec" type="product-v0:ProdExpctCostPlaceAssocSpecKey"
			substitutionGroup="cbe-v0:referenceToAssociationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■ProdExpctCostPlaceAssociation
	 *==========================================================================
	 *
	-->
	<!-- ■prodExpctCostPlaceAssociation (Element) -->
	<xsd:element name="prodExpctCostPlaceAssociation" type="product-v0:ProdExpctCostPlaceAssociation"
			substitutionGroup="cbe-v0:association"/>

	<!-- ■ProdExpctCostPlaceAssociation -->
	<xsd:complexType name="ProdExpctCostPlaceAssociation">
		<xsd:annotation>
			<xsd:documentation>Available in</xsd:documentation>
		</xsd:annotation>
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Association">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProdExpctCostPlaceAssocKey -->
	<xsd:complexType name="ProdExpctCostPlaceAssocKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■prodExpctCostPlaceAssocKey (Element) substitution element -->
	<xsd:element name="prodExpctCostPlaceAssocKey" type="product-v0:ProdExpctCostPlaceAssocKey"
			substitutionGroup="cbe-v0:associationKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■ProdOfferPricePlaceAssocSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■prodOfferPricePlaceAssocSpecification (Element) -->
	<xsd:element name="prodOfferPricePlaceAssocSpecification" type="product-v0:ProdOfferPricePlaceAssocSpecification"
			substitutionGroup="cbe-v0:associationSpecification"/>

	<!-- ■ProdOfferPricePlaceAssocSpecification -->
	<xsd:complexType name="ProdOfferPricePlaceAssocSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProdOfferPricePlaceAssocSpecKey -->
	<xsd:complexType name="ProdOfferPricePlaceAssocSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■prodOfferPricePlaceAssocSpecKey (Element) substitution element -->
	<xsd:element name="prodOfferPricePlaceAssocSpecKey" type="product-v0:ProdOfferPricePlaceAssocSpecKey"
			substitutionGroup="cbe-v0:associationSpecKey"/>

	<!-- ■referenceToProdOfferPricePlaceAssocSpec (Element) substitution element -->
	<xsd:element name="referenceToProdOfferPricePlaceAssocSpec" type="product-v0:ProdOfferPricePlaceAssocSpecKey"
			substitutionGroup="cbe-v0:referenceToAssociationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■ProdOfferPricePlaceAssociation
	 *==========================================================================
	 *
	-->
	<!-- ■prodOfferPricePlaceAssociation (Element) -->
	<xsd:element name="prodOfferPricePlaceAssociation" type="product-v0:ProdOfferPricePlaceAssociation"
			substitutionGroup="cbe-v0:association"/>

	<!-- ■ProdOfferPricePlaceAssociation -->
	<xsd:complexType name="ProdOfferPricePlaceAssociation">
		<xsd:annotation>
			<xsd:documentation>Available in</xsd:documentation>
		</xsd:annotation>
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Association">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■ProdOfferPricePlaceAssocKey -->
	<xsd:complexType name="ProdOfferPricePlaceAssocKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■prodOfferPricePlaceAssocKey (Element) substitution element -->
	<xsd:element name="prodOfferPricePlaceAssocKey" type="product-v0:ProdOfferPricePlaceAssocKey"
			substitutionGroup="cbe-v0:associationKey"/>

</xsd:schema>
